Announcement

Collapse
No announcement yet.

Error updating to 3.02 - Step4 endless loop

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Error updating to 3.02 - Step4 endless loop

    Man, it's hard to understand how mad, angry, dissapointed and crazy I am since trying to update 3.01 to 3.02

    I have made a backup of the database. After that I deleted the pollid hack (that's a column 'pollid' added to the 'pollvote' table). Now I run the upgrade script.

    At Step 4) Miscellaneous table alterations 4/4 I'm getting in an endless loop. First I'm getting this error:

    Code:
    Database error in vBulletin 3.0.1:
    Invalid SQL: ALTER TABLE vb3_thread ADD INDEX pollid (pollid)
    mysql error: Duplicate key name 'pollid'
    mysql error number: 1061
    Date: Sunday 04th of July 2004 08:57:53 AM
    Script: http://www.xxx.com/install/upgrade13.php?step=4
    Allright, it's duplicate, so I delete that pollid table and hit 'refresh'. Now it's time for the next message:

    Code:
    Database error in vBulletin 3.0.1:
    Invalid SQL: ALTER TABLE vb3_administrator ADD notes MEDIUMTEXT NOT NULL
    mysql error: Duplicate column name 'notes'
    mysql error number: 1060
    I keep it simple, and delete that column 'notes' and hit 'refresh'. Obivously that's not enough, so I receive the next message:

    Code:
    Database error in vBulletin 3.0.1:
    Invalid SQL: CREATE TABLE vb3_cpsession (
    userid INT UNSIGNED NOT NULL DEFAULT '0',
    hash VARCHAR(32) NOT NULL DEFAULT '',
    dateline INT UNSIGNED NOT NULL DEFAULT '0',
    PRIMARY KEY (userid, hash)
    ) TYPE = HEAP
    mysql error: Table 'vb3_cpsession' already exists
    mysql error number: 1050
    No problem, let's just delete that table and hit 'refresh' again. Enough to continue? Hell no, it's just time for another message:

    Code:
    Database error in vBulletin 3.0.1:
    Invalid SQL: ALTER TABLE vb3_administrator ADD notes MEDIUMTEXT NOT NULL
    mysql error: Duplicate column name 'notes'
    The circle is round again. The two columns and one table that have been deleted (since the message said that they were duplicate), suddenly are back three steps later......

    NB. I had a perfect working board without hacks (code or template), besides that added pollid column (that I removed before upgrading). A previous attempt to upgrade also went this way, so I deleted the database and restored the backup.

    Please help me out? My board has been closed a full day and I'm getting insane here.

  • #2
    Remove the index for pollid

    Comment


    • #3
      Originally posted by Bane
      Remove the index for pollid
      The latest error is
      Code:
      Duplicate column name 'notes'
      . So should I delete that column also first? Because deleting the pollid column doesn't help....

      I'm using the drop command to delete a column. What command should I use to remove the index?

      Comment


      • #4
        Yes, you will need to delete that column as well. The only way this error could have occured is if a) you had hacks installed that used these columns, or b) you ran these upgrade steps at least once before.

        And there should be a link in phpMyAdmin to drop an index.
        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
        Change CKEditor Colors to Match Style (for 4.1.4 and above)

        Steve Machol Photography


        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


        Comment


        • #5
          Originally posted by Steve Machol
          Yes, you will need to delete that column as well. The only way this error could have occured is if a) you had hacks installed that used these columns, or b) you ran these upgrade steps at least once before.

          And there should be a link in phpMyAdmin to drop an index.
          a) NO... I HAVE NOT installed a hack other than the 'add pollid colum to vb3_pollvote' hack. And like i've said clearly in my post, that hack has been deleted prior to running the upgrade scritpt

          b) NO, I HAVE NOT run the script earlier. I have run it once before, but deleted that database after it, restored the database backup and run the upgradescript again. Before I run the script I checked for the existing of the notes column, the cpsessions table and the pollid column. They weren't there.

          So please help me with the *#&$%^@ loop that I'm in.

          Comment


          • #6
            Getting angry with me isn't going to change the facts. There is no way you would be getting this error if one of the two items I mentioned didn't occur. This is because that field does *not exist* in previous unhacked version of vB.

            I've already stated that you need to delete this column and index. There is no way you would get this same error if that column is not there.
            Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
            Change CKEditor Colors to Match Style (for 4.1.4 and above)

            Steve Machol Photography


            Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


            Comment


            • #7
              Thanks Steve,

              I'm not angry with you, I'm just angry with this situation

              I will delete the database once again, upload the 3.01 files, restore the backup, run the forum (as a test), upload the 3.02 files and run the upgradescript for the third time. Just like this time, I'll check again that the columns and tables that are mentioned 'notes', 'pollid' and 'cpsessions' don't exist. If so, I'll delete them before running the script.

              Comment


              • #8
                You should check the database after restoring it to see if if has any of the columns you are getting errors on.
                Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                Change CKEditor Colors to Match Style (for 4.1.4 and above)

                Steve Machol Photography


                Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                Comment


                • #9
                  Allright, I restored a backup of my database.

                  the table 'vb3_cpsession' does NOT exist
                  the column 'notes' in vb3_adminstrator, does NOT exist
                  the table 'vb3_thread' did have a pollid column (like it should have according to the mysql-schema.php that came with 3.01)

                  So how come I'm receiving these errors and what should I delete/edit in order to get thing running again (I haven't run the upgrade-script again)?

                  Comment


                  • #10
                    Steve, Im going to try and help ya out on this one, since just yesterday I went thru the same thing as they are stating....

                    OK Look everyone either you did have a hack or you did stop and then run the upgrade twice!!!!! there is not other way this could have happened and I say this because I spend over 10 plus hours yesterday with the same issues and Steve was right on all of them!!!!

                    Now listen...Ill make it as simple as possible for you to understand what you need to do...


                    Make sure you have a back up of the database and the site!

                    First things first...MAKE SURE YOU HAVE CHANGED YOUR "NEW" CONFIG.php.new file to the informtion you need! Then upload what is needed to replace the old!

                    #2 Goto your MyAdminPhp and look for the Administrator. Click it and check to see it "Notes has been added" if so, then you were using "Hack Tracking Log" as a hack and this will add this column to this, which needs to be removed before upgrading....The reasone I say it was the "Hack Tracking Log" is because out of all the hack I have used, this seems to be the only one that addes this column to the "Administor"

                    #3 Remove CPSESSION! If you did the upgrade and failed, this was added and needs to be removed! period!

                    #4 Goto Thread and click it, it will show everything on the right side screen on what is in there...You will see "Pollid", leave that ALONE! DO NOT REMOVE THAT! THen scroll down to the bottom where certain things have been indexed...it should be on the bottom left side in a small box...You should see somthing like Pollid_1, Pollid, Pollid_2, etc...next to them you will see "EDIT or Drop" Drop Them!!!!! All Of them except the one on the main above...

                    Now since you have done that, start you upgrade...it should work...

                    If it does not and you get stuck on Step #4 and it says somthing about Pollid, Notes, Etc. Keep that error window open, Use you MyAdminPHP and goto those areas I just talked about and do the same thing, once they are all correct, THEN CLICK THE REFRESH button and you should move to the next step of the upgrade...

                    I hope I have explained this good enough, it was hard to try and do this, but I wanted to help Steve on this and show what I did to correct it!

                    Comment


                    • #11
                      Thanks for your help, but I clearly mention that I have only installed the pollvote hack, that made an index in the pollid column. After two bad upgrades, everytime I restored a backup from a 3.01 database (so no cpsessions table, and no 'notes' column in the administator table).

                      Anyway, I will try your sollution first thing in the morning. Thanks

                      Comment


                      • #12
                        Originally posted by TCB
                        Thanks for your help, but I clearly mention that I have only installed the pollvote hack, that made an index in the pollid column.
                        Then would appear to be the problem. This hack conflicts with vB 3.0.2.
                        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                        Change CKEditor Colors to Match Style (for 4.1.4 and above)

                        Steve Machol Photography


                        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                        Comment


                        • #13
                          Originally posted by Steve Machol
                          Then would appear to be the problem. This hack conflicts with vB 3.0.2.
                          So there lies your problem, remove the PollVote hack and the column index it install too! It created an Index file, the manually remove it and move on in the upgrade....You should have no problems from there!....Good luck...

                          Comment

                          widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                          Working...
                          X